Subject: Offline Message from Gabriel Villar: Good Morning Swagtron Staff I'm messagin
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 30 Jun 2022 11:52:22 -0000

From: Gabriel Villar <[email-masked]>
Phone: 4074214822
Location: Orlando, United States
URL: https://swagtron.com/product-category/electric-scooter/
Department: SwagTron

Good Morning Swagtron Staff I'm messaging you because 2 years ago I got the swagger 5 on Christmas and the rear bumper broke and I've been looking for replacements but I only find 3 screw bumpers not 4 also I can't find it on your website so I'm messaging you if you could please help me find this specific piece thank you have a great days 

----
Zopim
https://www.zopim.com